<div class="cui-sidebar-wrapper"
     [ngClass]="{ 'cui-sidebar-collapsed': (isVisible$ | async) === false }">

  <!-- overlay -->
  <div class="cui-sidebar-overlay"
       (click)="hide()"></div>

  <!-- sidebar-->
  <div class="cui-sidebar" [style.width.vw]="barWidth">
    <div class="cui-sidebar-content" *ngIf="isVisibleDelay$ | async"
        cdkTrapFocus [cdkTrapFocusAutoCapture]="autoFocus">
      <ng-container *ngIf="sidebarTemplateRef">
        <ng-container *ngTemplateOutlet="sidebarTemplateRef"></ng-container>
      </ng-container>
      <ng-container *ngIf="!sidebarTemplateRef">
        <ng-content></ng-content>
      </ng-container>
    </div>
  </div>
</div>
